From: Henning Schild <henning.schild@siemens.com>
To: isar-users@googlegroups.com
Cc: Henning Schild <henning.schild@siemens.com>
Subject: [PATCH 1/2] CI: install avocado in venv if host does not have it
Date: Tue, 19 Oct 2021 12:05:14 +0200 [thread overview]
Message-ID: <20211019100515.611-1-henning.schild@siemens.com> (raw)
Avodaco can not be properly depended on since it is not packaged in
debian. It just comes via pip.
On hosts that do not have it, let us use a virtualenv and expect they
will be debian based and allow us to sudo. Which works well for the
kas-isar container most people probably care about.
Signed-off-by: Henning Schild <henning.schild@siemens.com>
---
scripts/ci_build.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 4534957de1ac..74d190781249 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -14,6 +14,16 @@ export PATH=$PATH:/sbin
# Go to Isar root
cd "$(dirname "$0")/.."
+# install avocado in virtualenv in case it is not there already
+if ! command -v avocado > /dev/null; then
+ sudo apt-get update -qq
+ sudo apt-get install -y virtualenv
+ rm -rf /tmp/avocado_venv
+ virtualenv --python python3 /tmp/avocado_venv
+ source /tmp/avocado_venv/bin/activate
+ pip install subprocess32 avocado-framework-plugin-varianter-yaml-to-mux
+fi
+
# Get Avocado build tests path
BUILD_TEST_DIR="$(pwd)/testsuite/build_test"
--
2.32.0
next reply other threads:[~2021-10-19 10:05 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-10-19 10:05 Henning Schild [this message]
2021-10-19 10:05 ` [PATCH 2/2] CI: export avocado junit as gitlab report Henning Schild
2021-10-19 10:10 ` Henning Schild
2021-10-19 10:09 ` [PATCH 1/2] CI: install avocado in venv if host does not have it Henning Schild
2021-10-19 14:53 ` Baurzhan Ismagulov
2021-10-19 17:19 ` Henning Schild
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20211019100515.611-1-henning.schild@siemens.com \
--to=henning.schild@siemens.com \
--cc=isar-users@googlegroups.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox